Page MenuHomePhabricator

[mlir:PDLL] Allow complex constraints on Rewrite arguments/results
ClosedPublic

Authored by rriddle on Sep 15 2022, 4:27 PM.

Details

Summary

The documentation already has examples of this, and it allows for
using nicer C++ types when defining native Rewrites.

Diff Detail

Event Timeline

rriddle created this revision.Sep 15 2022, 4:27 PM
rriddle requested review of this revision.Sep 15 2022, 4:27 PM
jpienaar accepted this revision.Oct 6 2022, 7:25 PM
This revision is now accepted and ready to land.Oct 6 2022, 7:25 PM
rriddle updated this revision to Diff 473851.Nov 7 2022, 6:25 PM
rriddle edited the summary of this revision. (Show Details)
This revision was landed with ongoing or failed builds.Nov 8 2022, 1:58 AM
This revision was automatically updated to reflect the committed changes.